## python-qt4 4.10.4+dfsg

=== debian/changelog ===
python-qt4 (4.10.4+dfsg-1ubuntu1) trusty; urgency=medium

  * Fix encoding issues when converting a QString back to ai
    python string (LP: #1299881)
    + Add kubuntu_fix-encoding-issues.patch

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 15 Apr 2014 15:49:22 +0200

python-qt4 (4.10.4+dfsg-1build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:36:00 +0100

python-qt4 (4.10.4+dfsg-1) experimental; urgency=medium

  [ Bernd Zeimetz ]
  * Removing myself from Uploaders. 

  [ Dmitry Shachnev ]
  * New upstream bugfix release.
  * Bump sip version requirement to 4.15.5.
  * debian/patches/config_extra_headers.diff: drop, applied upstream.
  * debian/patches/phonon_cfgtest.diff: drop, fixed differently upstream.
  * Refresh and rebase other patches.
  * debian/rules: Drop Python 2.5 compatibility code.
  * debian/watch: Fix DFSG version mangling.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 19 Mar 2014 17:23:38 +0400

python-qt4 (4.10.3+dfsg1-1) unstable; urgency=low

  * get-orig-source.sh: Only remove the _static folder, as we still
    need some files in html that are not generated by Sphinx.
  * Re-add debian/python-qt4-doc.docs (closes: #729993).
  * Remove obsolete README.debian, examples work fine now.
  * Do not install Windows-specific activeqt examples.
  * Add description to debian_configure_changes.diff.
  * Remove leftover debug output from debian/rules.
  * Symlink duplicate files in examples using fdupes.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 20 Nov 2013 12:25:42 +0400

python-qt4 (4.10.3+dfsg-1) unstable; urgency=low

  * Update pyrcc4 man page to list -py2 and -py3 options.
  * Regenerate resource files during build.
  * Repack orig tarball to remove non-free Sphinx-generated HTML
    documentation and non-free JS files (closes: #723039).
  * Add debian/get-orig-source.sh script.
  * Update debian/watch to mangle dfsg version.
  * Drop debian/python-qt4-doc.docs, we install docs directly.
  * Pass --debug to configure.py when doing debug builds.
  * Add a patch (phonon_cfgtest.diff) to fix detection of new Phonon
    versions (closes: #729390).
  * Add a patch (config_flags.diff) to apply build flags to designer
    module.
  * Remove duplicate references to GPL license file from debian/copyright.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 13 Nov 2013 14:02:27 +0400

python-qt4 (4.10.3-2) unstable; urgency=low

  * Upload to unstable

  [ Jonathan Riddell ]
  * Add patch qreal_float_support.diff back to add back QList<double> code

  [ Scott Kitterman ]
  * Remove __pycache__ directories shipped in some examples

 -- Scott Kitterman <scott@kitterman.com>  Sat, 12 Oct 2013 02:20:26 -0400

=== debian/control ===
Source: python-qt4
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Michael Casadevall <mcasadevall@debian.org>,
           Scott Kitterman <scott@kitterman.com>,
           Dmitry Shachnev <mitya57@gmail.com>
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 7),
               fdupes,
               libicu-dev,
               libdbus-1-dev (>= 1.0.2),
               libphonon-dev (>= 4:4.2.0-2),
               libqt4-dev (>= 4:4.8.0-1~),
               libqt4-opengl-dev,
               libqtassistantclient-dev,
               libqtwebkit-dev,
               python-all-dbg,
               python-all-dev (>= 2.7.5-1~),
               python3-all-dbg,
               python3-all-dev (>= 3.3),
               python-dbus (>= 1.0.0~),
               python-dbus-dbg,
               python3-dbus,
               python3-dbus-dbg,
               python-dbus-dev,
               python-sip-dbg,
               python-sip-dev (>= 4.15.5),
               python3-sip-dbg,
               python3-sip-dev (>= 4.15.5),
               python-sphinx (>= 1.0.7+dfsg-1~)
Build-Conflicts: python3.2-dev (<< 3.2.3-8~), python2.7-dev (<< 2.7.5-2~)
Standards-Version: 3.9.5
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0
Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-qt4/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-qt4/trunk/
XS-Testsuite: autopkgtest

Package: python-qt4
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, ${sip:Depends}
Suggests: python-qt4-dbg
Replaces: python-qt4-dev (<< 4.4.4-3~)
Breaks: python-qscintilla2 (<= 2.5.1-1),
        python-qwt5-qt4 (<= 5.2.1~cvs20091107+dfsg-6),
        python-qwt3d-qt4 (<< 0.1.7~cvs20090625-7),
        python-kde4 (<= 4:4.6.80-3+b1),
        python-qt4-dbg (<< 4.8.3-3),
        python-qt4-gl (<< 4.8.3-3),
        python-qt4-sql-dbg (<< 4.8.3-3),
        python-qt4-sql (<< 4.8.3-3),
        python-qt4-phonon-dbg (<< 4.8.3-3),
        python-qt4-gl-dbg (<< 4.8.3-3),
        python-qt4-phonon (<< 4.8.3-3),
        python-sip4 (<< 4.13.1~)
Description: Python bindings for Qt4
 PyQt4 exposes the Qt4 API to Python. The following modules are supported:
  * QtCore
  * QtDBus
  * QtGui
  * QtNetwork
  * QtXml
  * QtScript
  * QtSvg
  * QtTest
  * QtAssistant
  * QtWebKit
  * QtOpenGL (in python-qt4-gl)
  * QtSql (in python-qt4-sql)
  * phonon (in python-qt4-phonon)

Package: python3-pyqt4
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sip3:Depends}
Suggests: python3-pyqt4-dbg
Breaks: python3-sip (<< 4.13.1~)
Description: Python3 bindings for Qt4
 PyQt4 exposes the Qt4 API to Python3. The following modules are supported:
  * QtCore
  * QtDBus
  * QtGui
  * QtNetwork
  * QtXml
  * QtScript
  * QtSvg
  * QtTest
  * QtAssistant
  * QtWebKit
  * QtOpenGL (in python3-pyqt4.qtopengl)
  * QtSql (in python3-pyqt4.qtsql)
  * phonon (in python3-pyqt4.phonon)

Package: python-qt4-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-qt4 (= ${binary:Version}),
         python-sip-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt4 (debug extensions)
 PyQt4 exposes the Qt4 API to Python.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-pyqt4-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt4 (= ${binary:Version}),
         python3-sip-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for Qt4 (debug extensions)
 PyQt4 exposes the Qt4 API to Python3.
 .
 This package contains the extensions built for the Python3 debug interpreter.

Package: python-qt4-phonon
Architecture: any
Depends: python-qt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for Phonon
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python.

Package: python3-pyqt4.phonon
Architecture: any
Depends: python3-pyqt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for Phonon
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python3.

Package: python-qt4-phonon-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-qt4-dbg (= ${binary:Version}),
         python-qt4-phonon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Phonon (debug extensions)
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-pyqt4.phonon-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt4-dbg (= ${binary:Version}),
         python3-pyqt4.phonon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for Phonon (debug extensions)
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python3.
 .
 This package contains the extensions built for the Python3 debug interpreter.

Package: python-qt4-dbus
Architecture: any
Depends: python-dbus (>= 0.84.0-2~),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: D-Bus Support for PyQt4
 The D-Bus module of PyQt4 provides integration of PyQt4 applications
 with the D-Bus main loop.

Package: python-qt4-dbus-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python-dbg,
         python-dbus-dbg,
         python-qt4-dbus (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: D-Bus Support for PyQt4 (debug extensions)
 The D-Bus module of PyQt4 provides integration of PyQt4 applications
 with the D-Bus main loop.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-dbus.mainloop.qt
Architecture: any
Depends: python3-dbus,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: D-Bus Support for PyQt4 with Python 3
 The D-Bus module of PyQt4 provides integration of PyQt4 applications
 with the D-Bus main loop for Python 3

Package: python3-dbus.mainloop.qt-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python3-dbg,
         python3-dbus-dbg,
         python3-dbus.mainloop.qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: D-Bus Support for PyQt4 (debug extensions for Python 3)
 The D-Bus module of PyQt4 provides integration of PyQt4 applications
 with the D-Bus main loop for Python 3
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python-qt4-gl
Architecture: any
Depends: python-qt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt4's OpenGL module
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a PyQt4 application.

Package: python-qt4-gl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-qt4-dbg (= ${binary:Version}),
         python-qt4-gl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt4's OpenGL module (debug extension)
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a PyQt4 application.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-pyqt4.qtopengl
Architecture: any
Depends: python3-pyqt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt4's OpenGL module
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a Python3 PyQt4 application.

Package: python3-pyqt4.qtopengl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt4-dbg (= ${binary:Version}),
         python3-pyqt4.qtopengl (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt4's OpenGL module (debug extension)
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a Python3 PyQt4 application.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-qt4-sql
Architecture: any
Depends: python-qt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python bindings for PyQt4's SQL module
 The SQL module of PyQt4 provides widgets and utility classes for
 SQL database access.

Package: python3-pyqt4.qtsql
Architecture: any
Depends: python3-pyqt4 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for PyQt4's SQL module
 The SQL module of PyQt4 provides widgets and utility classes for
 Python3 SQL database access.

Package: python-qt4-sql-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-qt4-dbg (= ${binary:Version}),
         python-qt4-sql (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for PyQt4's SQL module (debug extension)
 The SQL module of PyQt4 provides widgets and utility classes for
 SQL database access.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-pyqt4.qtsql-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt4-dbg (= ${binary:Version}),
         python3-pyqt4.qtsql (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python3 bindings for PyQt4's SQL module (debug extension)
 The SQL module of PyQt4 provides widgets and utility classes for
 Python3 SQL database access.
 .
 This package contains the extension built for the Python3 debug interpreter.

Package: python-qt4-dev
Architecture: all
Depends: python-sip-dev, ${misc:Depends}, ${python:Depends}
Description: Development files for PyQt4
 This package contains the source SIP files from which the Python
 bindings for Qt4 are created. They are needed for building PyQt4
 as well as creating bindings for own Qt4 widgets written in C++.

Package: python-qt4-doc
Architecture: all
Section: doc
Suggests: qt4-doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation and examples for PyQt4
 PyQt4 exposes the Qt4 GUI toolkit in Python.
 .
 This package contains Python-specific documentation for PyQt4 and
 the Qt example programs ported to Python.

Package: pyqt4-dev-tools
Depends: python,
         python-qt4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Architecture: any
Description: Development tools for PyQt4
 This package contains various support tools for PyQt4 developers:
  * a user interface compiler (pyuic4)
  * a resource file generator (pyrcc4)
  * a translation string finder (pylupdate)

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

py_dbusmoddir = $(shell python$(1) -c 'import dbus.mainloop; print dbus.mainloop.__path__[0]')
py3_dbusmoddir = $(shell python3 -c 'import dbus.mainloop; print(dbus.mainloop.__path__[0])')

debian_version = $(word 2,$(shell dpkg-parsechangelog | grep ^Version:))
upstream_dfsg_version = $(firstword $(subst -, ,$(debian_version)))
upstream_version = $(subst ~,,$(firstword $(subst +, ,$(debian_version))))

export QMAKESPEC=linux-g++

CFLAGS=
CPPFLAGS=
CXXFLAGS=
LDFLAGS=
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0 -g
	CXXFLAGS += -O0
else
	CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
	CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
	CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS)
	LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
endif

LDFLAGS += -Wl,-O1

ifeq ($(DEB_BUILD_ARCH),alpha)
	LDFLAGS += -Wl,--no-relax
endif
SPLIT=10

PYTHONS := $(shell pyversions -vr) $(shell  py3versions -vr)
PYTHON3S := $(shell  py3versions -vr)

DEFAULT_PYTHON := $(shell pyversions -vd)

# LIBS_* is unset to avoid linking to too many libraries
# STRIP is unset to let stripping be handled by dh_strip
SHARED_CONFIGURE_OPTIONS=--confirm-license --verbose \
	-q /usr/bin/qmake-qt4 -c -j $(SPLIT) \
	LIBDIR_QT=/usr/lib STRIP="" MOC=moc-qt4 \
	LIBS_OPENGL="" LIBS_X11="" LIBS_THREAD="" \
	CFLAGS="${CFLAGS} ${CPPFLAGS}" \
	CXXFLAGS="${CXXFLAGS} ${CPPFLAGS}" \
	LFLAGS="${LDFLAGS}"


.PRECIOUS: pyqtconfig-% build-%/configure-stamp dbg-build-%/configure-stamp

configure: $(PYTHON3S:%=pyqtconfig-%) $(PYTHONS:%=build-%/configure-stamp) $(PYTHONS:%=dbg-build-%/configure-stamp)

pyqtconfig-3.%:
	cat $(CURDIR)/debian/pyqtconfig_py3.py $(CURDIR)/debian/pyqtconfig_py3.snippet \
		> $(CURDIR)/debian/pyqtconfig_py3.py.tmp
	sed -e "s/@MINORVERS@/$*/g" <$(CURDIR)/debian/pyqtconfig_py3.py.tmp \
		> $(CURDIR)/debian/pyqtconfig_py3.py
	touch $@

build-%/configure-stamp:
	dh_testdir
	mkdir -p build-$*
	cd build-$* && python$* ../configure.py $(SHARED_CONFIGURE_OPTIONS) \
			-m $(shell python$*-config --configdir) \
			-d /usr/lib/python$*/dist-packages \
			--dbus /usr/include/dbus-1.0 \
			$(if $(filter $(DEFAULT_PYTHON),$*),,--no-designer-plugin) 
	touch $@

dbg-build-%/configure-stamp:
	dh_testdir
	mkdir -p dbg-build-$*
	cd dbg-build-$* && python$*-dbg ../configure.py $(SHARED_CONFIGURE_OPTIONS) \
			-m $(shell python$*-dbg-config --configdir) \
			-l /usr/include/python$*$(if $(filter 3.%, $*),dm,_d) \
			-d /usr/lib/python$*/dist-packages \
			--debug --no-designer-plugin
	touch $@


build: build-arch build-indep
build-arch: $(PYTHON3S:%=pyqtconfig-%) $(PYTHONS:%=build-%/build-stamp) $(PYTHONS:%=dbg-build-%/build-stamp)
build-indep: build-$(DEFAULT_PYTHON)/build-stamp

build-%/build-stamp: build-%/configure-stamp
	dh_testdir
	dh_auto_build --parallel -B build-$*
	touch $@

dbg-build-%/build-stamp: dbg-build-%/configure-stamp
	dh_testdir
	dh_auto_build --parallel -B dbg-build-$*
	touch $@

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_install -i
	dh_installexamples -Xactiveqt -i
	cd $(CURDIR)/debian/python-qt4-doc/usr/share/doc/python-qt4-doc/examples/; \
		cp /usr/share/javascript/jquery/jquery.min.js webkit/fancybrowser/; \
		find . -name '*.qrc' | sed 's/\.qrc//g' | xargs -I {} \
			$(CURDIR)/build-$(DEFAULT_PYTHON)/pyrcc/pyrcc4 -py2 {}.qrc -o {}_rc2.py; \
		find . -name '*.qrc' | sed 's/\.qrc//g' | xargs -I {} \
			$(CURDIR)/build-$(DEFAULT_PYTHON)/pyrcc/pyrcc4 -py3 {}.qrc -o {}_rc3.py
	# Symlink duplicate files in examples. Based on Andrew Starr-Bochicchio's
	# code in ubuntu-packaging-guide.
	cd $(CURDIR)/debian/python-qt4-doc && \
	fdupes -r1nq usr/share/doc/python-qt4-doc/examples | while read s; do \
		set -- $$(echo $$s | tr ' ' '\n' | sort); \
		f=$$1; shift; for d; do \
			echo "symlinking identical file $$d to $$f"; \
			rm $$d; ln -s /$$f $$d; \
		done; \
	done
	dh_link -i

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	sed -i -e '/strip/ d' $(CURDIR)/build-$(DEFAULT_PYTHON)/designer/Makefile
	rm -f $(CURDIR)/debian/python-qt4-dbus.install
	rm -f $(CURDIR)/debian/python3-dbus.mainloop.qt.install
	# This is needed to enforce that the install-arch-% rules are
	# not run in parallel. Both rules install into the same directory,
	# and therefore might try to access the same files at the same time.
	# Therefore, instead of depending on the install-arch-% rules,
	# we invoke them explicitly.
	for p in $(PYTHONS) ; do \
		$(MAKE) -f debian/rules install-arch-$$p;\
	done

	dh_install -a

	for i in $$(find debian/python-*-dbg -name '*.so'); do \
		b=$$(basename $$i .so); \
		mv $$i $$(dirname $$i)/$${b}_d.so; \
	done

	find debian/python*-dbg ! -type d \
		! \( -name '*.so' -o -name '*config_*d*.py' \) | xargs rm -f
	find debian/python-*-dbg -depth -type d -empty -exec rmdir {} \;

	#FIXME - copying the file to /usr/bin is not the best way,
	# it should be imported properly instead.
	# probably like ipython handles it.
	cp debian/pyuic4 debian/pyqt4-dev-tools/usr/bin/pyuic4

d3_qt4_dbg = debian/python3-pyqt4-dbg

install-arch-3.%:
	$(MAKE) -C build-3.$* install \
		INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
	if [ -e $(CURDIR)/debian/tmp$(call py3_dbusmoddir,3.$*)/qt.so ]; then \
		mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
		mv $(CURDIR)/debian/tmp$(call py3_dbusmoddir,3.$*)/qt.so \
		$(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
		echo 'usr/lib/python3.$*/dist-packages/*' >> $(CURDIR)/debian/python3-dbus.mainloop.qt.install;\
	fi
	mv $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig.py \
		$(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig_nd$*.py

	$(MAKE) -C dbg-build-3.$* install DESTDIR=$(CURDIR)/$(d3_qt4_dbg)
	if [ -e $(CURDIR)/$(d3_qt4_dbg)$(call py3_dbusmoddir,3.$*)/qt.so ]; then \
		mkdir -p $(CURDIR)/debian/python3-dbus.mainloop.qt-dbg/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
		mv $(CURDIR)/debian/python3-pyqt4-dbg$(call py3_dbusmoddir,3.$*)/qt.so \
		$(CURDIR)/debian/python3-dbus.mainloop.qt-dbg/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
	fi

	# Don't initiate the uic/widget-plugins
	touch $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/uic/widget-plugins/.noinit
	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig.py \
		$(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig_d$*.py
	mkdir -p debian/python3-pyqt4.qtopengl-dbg/usr/lib/python3.$*/dist-packages/PyQt4
	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/QtOpenGL.so \
		debian/python3-pyqt4.qtopengl-dbg/usr/lib/python3.$*/dist-packages/PyQt4
	mkdir -p debian/python3-pyqt4.qtsql-dbg/usr/lib/python3.$*/dist-packages/PyQt4
	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/QtSql.so \
		debian/python3-pyqt4.qtsql-dbg/usr/lib/python3.$*/dist-packages/PyQt4
	mkdir -p debian/python3-pyqt4.phonon-dbg/usr/lib/python3.$*/dist-packages/PyQt4
	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/phonon.so \
		debian/python3-pyqt4.phonon-dbg/usr/lib/python3.$*/dist-packages/PyQt4
	install -Dm 644 -o root -g root debian/pyqtconfig_py3.py debian/python3-pyqt4/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig.py

d_qt4_dbg = debian/python-qt4-dbg

install-arch-%:
	$(MAKE) -C build-$* install \
		INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp

	$(MAKE) -C dbg-build-$* install DESTDIR=$(CURDIR)/$(d_qt4_dbg)

	# Don't initiate the uic/widget-plugins
	touch $(CURDIR)/debian/tmp/usr/lib/python$*/dist-packages/PyQt4/uic/widget-plugins/.noinit

	mv $(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/pyqtconfig.py \
		$(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/pyqtconfig_d.py
	mkdir -p debian/python-qt4-gl-dbg/usr/lib/python$*/dist-packages/PyQt4
	mv $(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/QtOpenGL.so \

=== debian/tests/control ===
Tests: import
Depends: python-qt4

## python-qt4 4.11.1+dfsg

=== debian/changelog ===
python-qt4 (4.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/fix_implicit_qtablewidget.patch and debian/patches/
      add_pro_files.diff which were cherry picks from upstream

 -- Scott Kitterman <scott@kitterman.com>  Fri, 04 Jul 2014 22:24:13 -0400

python-qt4 (4.11+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Stop forcing bzip2 compression, it is now deprecated.

  [ Scott Kitterman ]
  * Added debian/patches/fix_implicit_qtablewidget.patch to fix a pyuic
    regression in the handling of implicit QTableWidget dimensions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Jun 2014 23:55:52 -0400

python-qt4 (4.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop qstring_conversion.diff, applied upstream.
  * Backport add_pro_files.diff from upstream to make configure.py work.
  * Refresh other patches.
  * Bump required sip4 version to 4.16.
  * Remove generated searchindex.js from the tarball.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 01 Jun 2014 13:56:15 +0400

python-qt4 (4.10.4+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch (qstring_conversion.diff) to fix a bug in
    the conversion of QStrings with surrogate pairs.

  [ Scott Kitterman ]
  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 May 2014 17:35:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-qt4
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
@@ -27,9 +26,9 @@
                python3-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.15.5),
+               python-sip-dev (>= 4.16),
                python3-sip-dbg,
-               python3-sip-dev (>= 4.15.5),
+               python3-sip-dev (>= 4.16),
                python-sphinx (>= 1.0.7+dfsg-1~)
 Build-Conflicts: python3.2-dev (<< 3.2.3-8~), python2.7-dev (<< 2.7.5-2~)
 Standards-Version: 3.9.5

## python-qt4 4.11.2+dfsg

=== debian/changelog ===
python-qt4 (4.11.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update my e-mail address.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Sep 2014 13:24:19 +0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
-           Dmitry Shachnev <mitya57@gmail.com>
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~),
                debhelper (>= 7),
                fdupes,

## python-qt4 4.11.3+dfsg

=== debian/changelog ===
python-qt4 (4.11.3+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Switch debian/copyright to copyright-format 1.0.
  * Add missing licensing information.
  * Use Files-Excluded instead of get-orig-source.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 13 Nov 2014 11:05:25 +0300

## python-qt4 4.11.4+dfsg

=== debian/changelog ===
python-qt4 (4.11.4+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add explicit build-dependency on dh-python.
  * Build with Sphinx 1.3.
  * Stop building and installing the WebKit module (closes: #784513).
    - Break older versions of openlp, eric and python-qgis.
  * Drop obsolete XS-Testsuite header.
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 May 2016 12:45:33 +0300

python-qt4 (4.11.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - pyuic now sorts imported modules (closes: #787250).
  * Drop remove_timestamps.diff, applied upstream.
  * Bump the required sip version to 4.16.4.
  * Add a temporary hack to use upstream stylesheet when building the
    documentation with Sphinx 1.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jun 2015 15:17:18 +0300

python-qt4 (4.11.3+dfsg-2) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Added patch which removes embedding of timestamps in generated
    files, to enable reproducible builds in packages build-depending
    on python-qt4 (closes: #774509).

  [ Dmitry Shachnev ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 14 May 2015 15:18:25 +0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
            Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~),
-               debhelper (>= 7),
+Build-Depends: debhelper (>= 7),
+               dh-python,
+               dpkg-dev (>= 1.16.1~),
                fdupes,
                libicu-dev,
                libdbus-1-dev (>= 1.0.2),
@@ -15,7 +16,6 @@
                libqt4-dev (>= 4:4.8.0-1~),
                libqt4-opengl-dev,
                libqtassistantclient-dev,
-               libqtwebkit-dev,
                python-all-dbg,
                python-all-dev (>= 2.7.5-1~),
                python3-all-dbg,
@@ -26,18 +26,17 @@
                python3-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.16),
+               python-sip-dev (>= 4.16.4),
                python3-sip-dbg,
-               python3-sip-dev (>= 4.16),
-               python-sphinx (>= 1.0.7+dfsg-1~)
+               python3-sip-dev (>= 4.16.4),
+               python-sphinx (>= 1.3)
 Build-Conflicts: python3.2-dev (<< 3.2.3-8~), python2.7-dev (<< 2.7.5-2~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-qt4/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-qt4/trunk/
-XS-Testsuite: autopkgtest
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-qt4.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-qt4.git
 
 Package: python-qt4
 Architecture: any
@@ -48,6 +47,7 @@
         python-qwt5-qt4 (<= 5.2.1~cvs20091107+dfsg-6),
         python-qwt3d-qt4 (<< 0.1.7~cvs20090625-7),
         python-kde4 (<= 4:4.6.80-3+b1),
+        python-qgis (<< 2.14.3+dfsg-2~),
         python-qt4-dbg (<< 4.8.3-3),
         python-qt4-gl (<< 4.8.3-3),
         python-qt4-sql-dbg (<< 4.8.3-3),
@@ -67,7 +67,6 @@
   * QtSvg
   * QtTest
   * QtAssistant
-  * QtWebKit
   * QtOpenGL (in python-qt4-gl)
   * QtSql (in python-qt4-sql)
   * phonon (in python-qt4-phonon)
@@ -76,7 +75,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sip3:Depends}
 Suggests: python3-pyqt4-dbg
-Breaks: python3-sip (<< 4.13.1~)
+Breaks: python3-sip (<< 4.13.1~), openlp (<< 2.4~), eric (<< 6.0~)
 Description: Python3 bindings for Qt4
  PyQt4 exposes the Qt4 API to Python3. The following modules are supported:
   * QtCore
@@ -88,7 +87,6 @@
   * QtSvg
   * QtTest
   * QtAssistant
-  * QtWebKit
   * QtOpenGL (in python3-pyqt4.qtopengl)
   * QtSql (in python3-pyqt4.qtsql)
   * phonon (in python3-pyqt4.phonon)

=== debian/rules ===
--- 
+++ 
@@ -102,9 +102,8 @@
 	dh_prep -i
 	dh_installdirs -i
 	dh_install -i
-	dh_installexamples -Xactiveqt -i
+	dh_installexamples -Xactiveqt -Xwebkit -i
 	cd $(CURDIR)/debian/python-qt4-doc/usr/share/doc/python-qt4-doc/examples/; \
-		cp /usr/share/javascript/jquery/jquery.min.js webkit/fancybrowser/; \
 		find . -name '*.qrc' | sed 's/\.qrc//g' | xargs -I {} \
 			$(CURDIR)/build-$(DEFAULT_PYTHON)/pyrcc/pyrcc4 -py2 {}.qrc -o {}_rc2.py; \
 		find . -name '*.qrc' | sed 's/\.qrc//g' | xargs -I {} \
@@ -177,6 +176,8 @@
 
 	# Don't initiate the uic/widget-plugins
 	touch $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/uic/widget-plugins/.noinit
+	rm $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/uic/widget-plugins/qtwebkit.py
+
 	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig.py \
 		$(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig_d$*.py
 	mkdir -p debian/python3-pyqt4.qtopengl-dbg/usr/lib/python3.$*/dist-packages/PyQt4
@@ -200,8 +201,7 @@
 
 	# Don't initiate the uic/widget-plugins
 	touch $(CURDIR)/debian/tmp/usr/lib/python$*/dist-packages/PyQt4/uic/widget-plugins/.noinit
+	rm $(CURDIR)/debian/tmp/usr/lib/python$*/dist-packages/PyQt4/uic/widget-plugins/qtwebkit.py
 
 	mv $(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/pyqtconfig.py \
 		$(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/pyqtconfig_d.py
-	mkdir -p debian/python-qt4-gl-dbg/usr/lib/python$*/dist-packages/PyQt4
-	mv $(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/QtOpenGL.so \

## python-qt4 4.12.1+dfsg

=== contrib/lang/Makefile ===

PYUIC = pyuic4
PYRCC = pyrcc4

UIFILES = $(wildcard *.ui)
PYUIFILES = $(patsubst %.ui,ui_%.py,$(UIFILES))

RESOURCES = $(wildcard *.qrc)
PYRESOURCES = $(patsubst %.qrc,%_rc.py,$(RESOURCES))

ui_%.py: %.ui
	$(PYUIC) -x -o $@ $<

%_rc.py: %.qrc
	$(PYRCC) -o $@ $<

all: $(PYUIFILES) $(PYRESOURCES)

$(PYUIFILES): $(UIFILES)

$(PYRESOURCES): $(RESOURCES)

clean:
	rm -f *~ *_rc.py ui_*.py *.pyc *.pyo

=== debian/changelog ===
python-qt4 (4.12.1+dfsg-2) unstable; urgency=medium

  * Drop Breaks/Replaces on versions that are not even in oldstable.
  * Bump Standards-Version to 4.1.0, stop using deprecated Priority: extra.
  * Switch from python-sphinx to python3-sphinx.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Sep 2017 21:45:37 +0300

python-qt4 (4.12.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop debug_interpreter.diff, applied upstream.
  * Refactor debian/rules to avoid removing files after install.
  * Stop removing pyshared directories, they are no longer created.
  * Bump debhelper compatibility level to 10.
  * Remove unused variables from debian/rules.
  * Drop debian/python-qt4-doc.docs, we already install the built docs
    manually in debian/rules.
  * Call dh_strip_nondeterminism during build.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Jul 2017 18:53:41 +0300

python-qt4 (4.12+dfsg-1) experimental; urgency=medium

  [ Scott Kitterman ]
  * Remove Michael Casadevall from uploaders due to retirement from Debian
    (Closes: #841464)
    - Thanks Michael for all your work on python-qt4

  [ Dmitry Shachnev ]
  * Update debian/watch for new tarballs naming scheme.
  * New upstream release.
  * Bump required sip version to 4.19.1, to make debug builds possible.
  * Add a patch to fix building extensions for debug interpreters
    (debug_interpreter.diff).
  * Disable rpath in configure options, now that we are using unpatched sip.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 May 2017 11:52:18 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
-           Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 10),
                dh-python,
+               dh-strip-nondeterminism,
                dpkg-dev (>= 1.16.1~),
                fdupes,
                libicu-dev,
@@ -26,12 +26,11 @@
                python3-dbus-dbg,
                python-dbus-dev,
                python-sip-dbg,
-               python-sip-dev (>= 4.16.4),
+               python-sip-dev (>= 4.19.1+dfsg-2~),
                python3-sip-dbg,
-               python3-sip-dev (>= 4.16.4),
-               python-sphinx (>= 1.3)
-Build-Conflicts: python3.2-dev (<< 3.2.3-8~), python2.7-dev (<< 2.7.5-2~)
-Standards-Version: 3.9.8
+               python3-sip-dev (>= 4.19.1+dfsg-2~)
+Build-Depends-Indep: python3-sphinx (>= 1.3)
+Standards-Version: 4.1.0
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
@@ -42,20 +41,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, ${sip:Depends}
 Suggests: python-qt4-dbg
-Replaces: python-qt4-dev (<< 4.4.4-3~)
-Breaks: python-qscintilla2 (<= 2.5.1-1),
-        python-qwt5-qt4 (<= 5.2.1~cvs20091107+dfsg-6),
-        python-qwt3d-qt4 (<< 0.1.7~cvs20090625-7),
-        python-kde4 (<= 4:4.6.80-3+b1),
-        python-qgis (<< 2.14.3+dfsg-2~),
-        python-qt4-dbg (<< 4.8.3-3),
-        python-qt4-gl (<< 4.8.3-3),
-        python-qt4-sql-dbg (<< 4.8.3-3),
-        python-qt4-sql (<< 4.8.3-3),
-        python-qt4-phonon-dbg (<< 4.8.3-3),
-        python-qt4-gl-dbg (<< 4.8.3-3),
-        python-qt4-phonon (<< 4.8.3-3),
-        python-sip4 (<< 4.13.1~)
+Breaks: python-qgis (<< 2.14.3+dfsg-2~)
 Description: Python bindings for Qt4
  PyQt4 exposes the Qt4 API to Python. The following modules are supported:
   * QtCore
@@ -75,7 +61,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sip3:Depends}
 Suggests: python3-pyqt4-dbg
-Breaks: python3-sip (<< 4.13.1~), openlp (<< 2.4~), eric (<< 6.0~)
+Breaks: openlp (<< 2.4~), eric (<< 6.0~)
 Description: Python3 bindings for Qt4
  PyQt4 exposes the Qt4 API to Python3. The following modules are supported:
   * QtCore
@@ -92,7 +78,6 @@
   * phonon (in python3-pyqt4.phonon)
 
 Package: python-qt4-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python-dbg,
@@ -106,7 +91,6 @@
  This package contains the extensions built for the Python debug interpreter.
 
 Package: python3-pyqt4-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -140,7 +124,6 @@
  to Python3.
 
 Package: python-qt4-phonon-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python-dbg,
@@ -155,7 +138,6 @@
  This package contains the extensions built for the Python debug interpreter.
 
 Package: python3-pyqt4.phonon-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -181,7 +163,6 @@
 
 Package: python-qt4-dbus-dbg
 Architecture: any
-Priority: extra
 Section: debug
 Depends: python-dbg,
          python-dbus-dbg,
@@ -206,7 +187,6 @@
 
 Package: python3-dbus.mainloop.qt-dbg
 Architecture: any
-Priority: extra
 Section: debug
 Depends: python3-dbg,
          python3-dbus-dbg,
@@ -230,7 +210,6 @@
  for OpenGL rendering in a PyQt4 application.
 
 Package: python-qt4-gl-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python-dbg,
@@ -255,7 +234,6 @@
  for OpenGL rendering in a Python3 PyQt4 application.
 
 Package: python3-pyqt4.qtopengl-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,
@@ -290,7 +268,6 @@
  Python3 SQL database access.
 
 Package: python-qt4-sql-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python-dbg,
@@ -305,7 +282,6 @@
  This package contains the extension built for the Python debug interpreter.
 
 Package: python3-pyqt4.qtsql-dbg
-Priority: extra
 Section: debug
 Architecture: any
 Depends: python3-dbg,

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
 
 py_dbusmoddir = $(shell python$(1) -c 'import dbus.mainloop; print dbus.mainloop.__path__[0]')
 py3_dbusmoddir = $(shell python3 -c 'import dbus.mainloop; print(dbus.mainloop.__path__[0])')
-
-debian_version = $(word 2,$(shell dpkg-parsechangelog | grep ^Version:))
-upstream_dfsg_version = $(firstword $(subst -, ,$(debian_version)))
-upstream_version = $(subst ~,,$(firstword $(subst +, ,$(debian_version))))
 
 export QMAKESPEC=linux-g++
 
@@ -43,7 +39,7 @@
 # STRIP is unset to let stripping be handled by dh_strip
 SHARED_CONFIGURE_OPTIONS=--confirm-license --verbose \
 	-q /usr/bin/qmake-qt4 -c -j $(SPLIT) \
-	LIBDIR_QT=/usr/lib STRIP="" MOC=moc-qt4 \
+	RPATH="" LFLAGS_RPATH="" STRIP="" MOC=moc-qt4 \
 	LIBS_OPENGL="" LIBS_X11="" LIBS_THREAD="" \
 	CFLAGS="${CFLAGS} ${CPPFLAGS}" \
 	CXXFLAGS="${CXXFLAGS} ${CPPFLAGS}" \
@@ -162,7 +158,7 @@
 		mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
 		mv $(CURDIR)/debian/tmp$(call py3_dbusmoddir,3.$*)/qt.so \
 		$(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/dbus/mainloop; \
-		echo 'usr/lib/python3.$*/dist-packages/*' >> $(CURDIR)/debian/python3-dbus.mainloop.qt.install;\
+		echo 'usr/lib/python3.$*/dist-packages/dbus/' >> $(CURDIR)/debian/python3-dbus.mainloop.qt.install;\
 	fi
 	mv $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig.py \
 		$(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig_nd$*.py
@@ -205,3 +201,6 @@
 
 	mv $(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/pyqtconfig.py \
 		$(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/pyqtconfig_d.py
+	mkdir -p debian/python-qt4-gl-dbg/usr/lib/python$*/dist-packages/PyQt4
+	mv $(d_qt4_dbg)/usr/lib/python$*/dist-packages/PyQt4/QtOpenGL.so \
+		debian/python-qt4-gl-dbg/usr/lib/python$*/dist-packages/PyQt4

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg \
http://sf.net/pyqt/PyQt4_gpl_x11-(.*)\.tar\.gz
